> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Member To Team



## OpenAPI

````yaml PATCH /v1/team/members/{userId}/team
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/team/members/{userId}/team:
    patch:
      tags:
        - team
      summary: Assign or unassign a user to/from a team
      operationId: TeamController_assignUser
      parameters:
        - name: userId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignUserDto'
      responses:
        '200':
          description: Team assignment updated
      security:
        - bearer: []
components:
  schemas:
    AssignUserDto:
      type: object
      properties:
        teamId:
          type: string
          description: Team ID to assign the user to, or null to remove from team
          nullable: true
      required:
        - teamId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````